// Beispiel: Fensterorganisations mit Panels
import java.awt.*;
import java.awt.event.*;
import javax.swing.* ;
import javax.swing.event.* ;

public class FensterMitPanels extends JFrame {
   private JTextField t1, t2, t3;
   private JButton b ;
   private Listener lis = new Listener();

   
   public FensterMitPanels() {
      super("Texteingabe");
      setLocation(100, 100);
      setSize(300, 160);
      setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE) ;
      Container cp = getContentPane();
      cp.setLayout(new BorderLayout());

      JPanel p1 = new JPanel();
      p1.setLayout(new FlowLayout(FlowLayout.RIGHT));
      p1.add(new JLabel("Texteingabe: ")) ;
      t1 = new JTextField(15);
      t1.addActionListener(lis);
      t1.addCaretListener(lis);
      p1.add(t1) ;

      JPanel p2 = new JPanel();
      p2.setLayout(new FlowLayout(FlowLayout.RIGHT));
      p2.add(new JLabel("Zeichenausgabe: "));
      t2 = new JTextField(15);
      t2.setEditable(false);
      t2.setBackground(Color.lightGray);
      p2.add(t2) ;
      
      p2.add(new JLabel("Ausgabe: "));
      t3 = new JTextField(15);
      t3.setEditable(false);
      t3.setBackground(Color.lightGray);
      p2.add(t3) ;

      JPanel p3 = new JPanel();
      p3.setLayout(new FlowLayout(FlowLayout.CENTER));
      b = new JButton("bertragen");
      b.addActionListener(lis);
      p3.add(b);

      cp.add(p1, BorderLayout.NORTH);
      cp.add(p2, BorderLayout.CENTER);
      cp.add(p3, BorderLayout.SOUTH);
      
      addWindowListener(new WindowAdapter() {
               public void windowClosing(WindowEvent e) {
         setVisible(false);
         dispose();
         System.exit(0);
      }
      }) ;

      setResizable(false);
      setVisible(true);
   }

   public class Listener implements ActionListener, CaretListener {
   public void actionPerformed(ActionEvent e) {
      t3.setText(t1.getText());
   }

   public void caretUpdate(CaretEvent e) {
      t2.setText(t1.getText());
   }
   }

   
   public static void main(String[] args) {
      FensterMitPanels tester = new FensterMitPanels();
   }
}